Bug 140917 - lperl-libwww-perl: pod should be marked as %doc (+other spec tweaks)
Summary: lperl-libwww-perl: pod should be marked as %doc (+other spec tweaks)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-libwww-perl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-26 13:47 UTC by Marius Feraru
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 20:27:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec diff (4.65 KB, text/plain)
2004-11-26 13:47 UTC, Marius Feraru
no flags Details
spec diff (fixed) (4.68 KB, patch)
2004-11-26 14:08 UTC, Marius Feraru
no flags Details | Diff

Description Marius Feraru 2004-11-26 13:47:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
here is the changelog entry from my spec patch:
- "fixed" group (playing by the rules, "Applications/CPAN" is NOT valid)
- switched Requirements to perl modules, not package names
- updated Requirements versions
- dropped external requires filter (hooked it inside spec)
- dropped BuildRequires: perl (it's already required by rpm-build)
- dropped useless bits
- optional make test
- enhanced files removal procedure
- dropped empty directories
- enhanced files list build procedure: claim every non-system-owned
file/directory, mark every POD file as documentation etc


Version-Release number of selected component (if applicable):
5.79-5

How reproducible:
Always

Steps to Reproduce:
rpm -qil perl-libwww-perl

Comment 1 Marius Feraru 2004-11-26 13:47:53 UTC
Created attachment 107481 [details]
spec diff

Comment 2 Marius Feraru 2004-11-26 14:08:30 UTC
Created attachment 107482 [details]
spec diff (fixed)

sorry about the previous one, i seem to have reverted at some point the Group
modification.

Comment 3 Warren Togami 2005-04-02 23:32:08 UTC
http://cvs.fedora.us/cgi-bin/cvsweb.cgi/pkg/fedora-rpmdevtools/spectemplate-perl.spec
We are moving away from filelists and basing all perl module specs on the spec
template.

Comment 4 Ville Skyttä 2005-04-03 21:13:24 UTC
I think marking *.pod as %doc, at least when they're installed below one of the
perl install dirs, would be useful.

  rpm --showrc | grep -P 'perl_\w+(arch|lib)'

But doing that in each and every perl-* specfile is not so cool; it'd be better
to enhance rpmbuild to take care of that automagically.

Comment 5 Jose Pedro Oliveira 2005-08-29 19:34:04 UTC
Marius,

Can we close this ticket?  The latest version of perl-libwww-perl already
corrects most of the issues reported in comment #1 (the pod files being the big
exception).

See also #150363.

Comment 6 Warren Togami 2005-08-29 20:27:37 UTC
REOPEN if Marius is not satisfied.

Comment 7 Marius Feraru 2005-08-31 11:21:13 UTC
it's ok to close it... it's too weary to treat POD files as documentation from
the spec, IMHO this should be accounted by rpm itself (same way as it does with
man pages).

Comment 8 Ville Skyttä 2005-08-31 14:12:57 UTC
It's slightly more difficult for *.pod than for man pages, which is why I 
guess it hasn't been done yet.  rpm has stuff in place for marking everything 
below a dir as %doc (such as is done for /usr/share/doc, /usr/share/man, ...), 
but *.pod are scattered around the perl install dirs meaning the same approach 
cannot be used. 


Note You need to log in before you can comment on or make changes to this bug.